Skip to main content
PATCH
/
v1
/
browser
/
session
Update Browser Session
curl --request PATCH \
  --url https://api.driver.dev/v1/browser/session \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "note": "Scraping product pages for client X"
}
'
import requests

url = "https://api.driver.dev/v1/browser/session"

payload = { "note": "Scraping product pages for client X" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({note: 'Scraping product pages for client X'})
};

fetch('https://api.driver.dev/v1/browser/session', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true
}
{
  "error": "<string>"
}
{
  "error": "Session not found"
}
{
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Your Driver API key. Get one at https://app.driver.dev

Query Parameters

sessionId
string
required

The ID of the browser session to update.

Example:

"example-session-id"

Body

application/json
note
string
required

A note to attach to the session. Maximum 256 characters.

Maximum string length: 256
Example:

"Scraping product pages for client X"

Response

Successfully updated browser session.

success
boolean
required

Indicates whether the session was successfully updated.